Runtime

## org.eclipse.gmf.runtime.notation.stylepooling
Class FontStyleImplImmutable

    java.lang.Object
      org.eclipse.gmf.runtime.notation.stylepooling.AbstractStyleImmutable
          org.eclipse.gmf.runtime.notation.stylepooling.FontStyleImplImmutable

    public class FontStyleImplImmutable

extends AbstractStyleImmutable

FontStyleImplImmutable is used by FontStyleImplImmutable in order to share common data among the various FontStyleImpl created in the notation.

Field Summary
`static int` `FONT_BOLD`
`static int` `FONT_ITALIC`
`static int` `FONT_NONE`
`static int` `FONT_STRIKETHRU`
`static int` `FONT_UNDERLINE`
`protected static StylePoolContainer` `myStylePool` Style cache

Constructor Summary
`FontStyleImplImmutable(java.lang.String name, int height, int color, boolean bStrike, boolean bUnder, boolean bItalic, boolean bBold)`

Method Summary
`boolean` `getBold()`
`java.lang.Integer` `getColor()`
`static int` `getFontKey(java.lang.String name, int height, int color, boolean bStrike, boolean bUnder, boolean bItalic, boolean bBold)`
`static FontStyleImplImmutable` `getFontStyle(java.lang.String sNm, int height, int color, boolean bStrike, boolean bUnder, boolean bItalic, boolean bBold)` get a style from the cache if it exists or create one if it does not
`java.lang.Integer` `getHeight()`
`boolean` `getItalic()`
`java.lang.String` `getName()`
`boolean` `getStrikethru()`
`int` `getTheFlags()`
`boolean` `getUnderline()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FONT_NONE

    public static int FONT_NONE

### FONT_BOLD

    public static int FONT_BOLD

### FONT_ITALIC

    public static int FONT_ITALIC

### FONT_UNDERLINE

    public static int FONT_UNDERLINE

### FONT_STRIKETHRU

    public static int FONT_STRIKETHRU

### myStylePool

    protected static StylePoolContainer myStylePool

  Style cache

Constructor Detail

### FontStyleImplImmutable

    public FontStyleImplImmutable(java.lang.String name,
                                  int height,
                                  int color,
                                  boolean bStrike,
                                  boolean bUnder,
                                  boolean bItalic,
                                  boolean bBold)

Method Detail

### getFontStyle

    public static FontStyleImplImmutable getFontStyle(java.lang.String sNm,
                                                      int height,
                                                      int color,
                                                      boolean bStrike,
                                                      boolean bUnder,
                                                      boolean bItalic,
                                                      boolean bBold)

  get a style from the cache if it exists or create one if it does not

### getFontKey

    public static int getFontKey(java.lang.String name,
                                 int height,
                                 int color,
                                 boolean bStrike,
                                 boolean bUnder,
                                 boolean bItalic,
                                 boolean bBold)

  Parameters:
    `name` -
    `height` -
    `color` -
    `flags` -
  Returns:

### getColor

    public java.lang.Integer getColor()

  Returns:
    Returns the theColor.

### getTheFlags

    public int getTheFlags()

  Returns:
    Returns the theFlags.

### getHeight

    public java.lang.Integer getHeight()

  Returns:
    Returns the theHeight.

### getName

    public java.lang.String getName()

  Returns:
    Returns the theName.

### getBold

    public boolean getBold()

### getItalic

    public boolean getItalic()

### getUnderline

    public boolean getUnderline()

### getStrikethru

    public boolean getStrikethru()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.